Bug 1021938 - Call trace child node percentages are not correct
Call trace child node percentages are not correct
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: 6.0.0
Assigned To: Gary Brown
Andrej Vano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 07:15 EDT by Gary Brown
Modified: 2014-07-02 05:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-302 Major Closed Call trace child node percentages are wrong 2014-07-02 05:19:46 EDT

  None (edit)
Description Gary Brown 2013-10-22 07:15:02 EDT
Description of problem:

The percentages in the child nodes currently add up to 100%, however their times do not add up to the time associated with the parent node. Generally the child nodes time should not add up to the parents, as time is spent within the calling service (as well as the latency of the call itself).

Therefore the percentages on the child node should reflect the percentage of the child node's time in comparison to the parent node's time.
Comment 1 JBoss JIRA Server 2013-10-22 11:31:08 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-302 to Resolved
Comment 2 Andrej Vano 2013-12-17 03:07:09 EST
Hello,

verified on ER7-2
Comment 3 JBoss JIRA Server 2014-07-02 05:19:47 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-302 to Closed

Note You need to log in before you can comment on or make changes to this bug.